1

I'm currently installing QGIS 2.18.3 it works fine at first, after upgrading my ubuntu the problems comes out every time I run my QGIS; it always shows "Couldn't load SIP module. Python support will be disabled"

I figure out that this is happening because my sip python module installation is not in QGIS path. Then invoke my QGIS with path to my sip module where it is installed:

$ qgis --configpath /usr/lib/python2.7/dist-packages/

And now the python feature in QGIS works normally. My question is how can I make this path permanent every time I run QGIS?

  • do you have install python on Ubuntu or work with manual python on Ubuntu ? – Mar Mar 20 '17 at 18:46
  • Yes i do have install python on my ubuntu 16.04 LTS, and what is work manual python on ubuntu means? – Wira Bhakti Mar 21 '17 at 13:53
  • yes that problem you have because install python if you use manual python from Ubuntu don't have this problem. – Mar Mar 28 '17 at 19:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.